Page MenuHomePhabricator

History page needs a placeholder when no revisions can be shown
Closed, ResolvedPublic

Description

When you visit history of a page and apply some filters (example), you will see just the filter menu and explanations of some markers.
There should be some placeholder explaining why there are no results.


Solution:

See also T225573: [Bug] History action's "Filter revisions" form should remain visible when a filter is applied.

QA steps

  • A message should inform you that no matching revisions were found.
  • Click filter revisions and remove "sillyqa" from the input box
  • Check that the message doesn't show and there are results

QA Results - Beta

ACStatusDetails
1T227578#6037273
2T227578#6037273

QA Results - Prod cawiki

ACStatusDetails
1T227578#6042110
2T227578#6042110

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2019, 11:36 AM
matej_suchanek triaged this task as Low priority.Mar 2 2020, 12:30 PM
matej_suchanek updated the task description. (Show Details)
srishakatux updated the task description. (Show Details)Mar 3 2020, 6:33 AM
srishakatux added a subscriber: srishakatux.

@matej_suchanek I've a newbie question - this task would require all changes to MediaWiki core only, right?

Aklapper updated the task description. (Show Details)Mar 3 2020, 6:49 AM

Yes, only MW core.

Soda claimed this task.Mar 6 2020, 1:31 PM

Change 577554 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/core@master] Added message to be displayed when query returns no revision

https://gerrit.wikimedia.org/r/577554

Soda added a comment.Mar 15 2020, 6:56 AM

@matej_suchanek I've updated the patch based on your recommendations, sorry for the sloppy work on the last patch set, I somehow misinterpreted/misread your comments...

No problem, you are doing well. Sorry for any confusion.

@Jdlrobson how can we see what this looks like?

You can replicate the issue here - https://en.wikipedia.org/w/index.php?date-range-to=&tagfilter=assaas&title=1900%E2%80%9301_Indiana_State_Sycamores_men%27s_basketball_team&action=history - note the lack of feedback.

The feedback looks like this with the patch applied:

@alexhollender, @Jdlrobson - sorry for the delay. This seems ok to me.

Change 577554 merged by jenkins-bot:
[mediawiki/core@master] Added message to be displayed when query returns no revision

https://gerrit.wikimedia.org/r/577554

@Jdlrobson looks good, thanks for the screenshot

ovasileva reassigned this task from Soda to Edtadros.Apr 6 2020, 11:46 AM
ovasileva added a subscriber: Soda.

Test Result - Beta

Status: ✅ PASS
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA steps

Visit https://en.wikipedia.beta.wmflabs.org/w/index.php?date-range-to=&tagfilter=sillyqa&title=Main_Page&action=history
✅ AC1: A message should inform you that no matching revisions were found.


Click filter revisions and remove "sillyqa" from the input box
✅ AC2: Check that the message doesn't show and there are results

Edtadros updated the task description. (Show Details)Apr 7 2020, 5:30 PM
Edtadros reassigned this task from Edtadros to ovasileva.Apr 9 2020, 5:02 AM
Edtadros added a subscriber: Edtadros.

Test Result - Prod cawiki

Status: ✅ PASS
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA steps

Visit https://en.wikipedia.beta.wmflabs.org/w/index.php?date-range-to=&tagfilter=sillyqa&title=Main_Page&action=history
✅ AC1: A message should inform you that no matching revisions were found.
@ovasileva the message is in English. I'm not sure if this is a concern or not.

Click filter revisions and remove "sillyqa" from the input box
✅ AC2: Check that the message doesn't show and there are results

Edtadros updated the task description. (Show Details)Apr 9 2020, 5:04 AM

Looks good @Edtadros - the message will get translated over time in translatewiki. Resolving this. Thanks everyone!

matej_suchanek closed this task as Resolved.Apr 9 2020, 9:01 AM
matej_suchanek reassigned this task from ovasileva to Soda.